---
updatedAt: 2026-09-17T17:29:18.000Z
agentTools:
  projectIndex: https://apidocs.ceretax.net/llms.txt
---

# Create exemptions

Creates one or more exemptions for the Customer specified in the request body.An Exemption contains information about a Customer's eligibility for exemption from tax based on criteria defined when the Exemption is created or updated.

This is for our legacy exemption solution.  If unsure of which exemption API to use, please reach out to support.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "x-stoplight": {
    "id": "7mptqeajdypxa"
  },
  "info": {
    "title": "Account API",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://account.cert.ceretax.net",
      "description": "CERT"
    },
    {
      "url": "https://account.prod.ceretax.net",
      "description": "Production"
    }
  ],
  "paths": {
    "/customers/exemptions": {
      "post": {
        "summary": "Create exemptions",
        "operationId": "post-customerExemption",
        "responses": {
          "200": {
            "description": "Exemption Created",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/exemptionsResponse"
                }
              }
            }
          }
        },
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/exemptionsRequest"
              },
              "examples": {}
            },
            "multipart/form-data": {
              "schema": {
                "type": "object",
                "properties": {
                  "profileId": {
                    "type": "string"
                  },
                  "customerAccount": {
                    "type": "string"
                  },
                  "": {
                    "type": "string"
                  }
                }
              },
              "examples": {
                "example-1": {
                  "value": {
                    "profileId": "string",
                    "customerAccount": "string",
                    "exemptions": [
                      {
                        "profileId": "default",
                        "customerAccount": "CUST12345",
                        "exemptions": [
                          {
                            "exemptionId": 1,
                            "country": "US",
                            "state": "AL",
                            "exemptionDocumentNumber": "EXEMPT12345",
                            "limitedUse": "false",
                            "exemptionStatus": "Active",
                            "startEffectiveDate": "2022-09-01",
                            "endEffectiveDate": "2023-09-01",
                            "exemptionCriteria": {
                              "exemptType": "directPay",
                              "exemptionFormCode": "AL:SU:DIRECT:PAY:PERMIT",
                              "exemptionFormReasonCode": "CTAL08"
                            }
                          }
                        ]
                      }
                    ],
                    "": "string"
                  }
                }
              }
            }
          },
          "description": "Post the necessary fields for the API to create a customer exemption"
        },
        "description": "Creates one or more exemptions for the Customer specified in the request body.An Exemption contains information about a Customer's eligibility for exemption from tax based on criteria defined when the Exemption is created or updated.",
        "security": [
          {
            "api_key": []
          }
        ],
        "tags": [
          "Customers & exemptions"
        ]
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "exemptionsRequest": {
        "type": "object",
        "x-examples": {
          "example-1": {
            "profileId": "default",
            "customerAccount": "CUST-12345",
            "exemptions": [
              {
                "exemptionId": "2",
                "country": "US",
                "state": "PA",
                "certType": "string",
                "limitedUse": "false",
                "exemptDocumentNumber": "EXEMPT12345",
                "exemptionStatus": "Active",
                "startEffectiveDate": "1-1-2022",
                "endEffectiveDate": "1-1-2022",
                "exemptionCriteria": {
                  "psCode": [
                    "10010100",
                    "10010200"
                  ],
                  "sku": [
                    "123456",
                    "789123"
                  ],
                  "taxLevel": "2",
                  "taxType": "130",
                  "taxTypeClass": "130",
                  "taxExemptionPercentage": 1,
                  "reason": "Direct Pay"
                }
              }
            ]
          }
        },
        "examples": [
          {
            "profileId": "default",
            "customerId": "70698cbe-4753-4ca0-bedb-4366b0b0a6a0",
            "exemptions": [
              {
                "country": "US",
                "state": "GA",
                "exemptDocumentNumber": "189317",
                "limitedUse": false,
                "projectNumber": "P-123456",
                "exemptionStatus": "Active",
                "startEffectiveDate": "2023-01-01",
                "endEffectiveDate": "2023-12-31",
                "exemptionCriteria": {
                  "psCode": [
                    "string"
                  ],
                  "itemNumber": [
                    "string"
                  ],
                  "taxLevel": "2",
                  "taxType": "130",
                  "taxTypeClass": "101",
                  "taxExemptionPercentage": 1,
                  "reason": "Reseller"
                }
              }
            ]
          }
        ],
        "title": "Exemptions",
        "properties": {
          "profileId": {
            "type": "string",
            "description": "The unique ID of the CereTax profile the customer is associated with.",
            "example": "default"
          },
          "customerId": {
            "type": "string",
            "description": "The unique CereTax-generated ID of the customer.",
            "example": "70698cbe-4753-4ca0-bedb-4366b0b0a6a0"
          },
          "exemptions": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "alternativeId": {
                  "type": "string",
                  "description": "An alternative id value for identifying this exemption."
                },
                "country": {
                  "type": "string",
                  "description": "The two character abbreviation for the country associated with the exemption",
                  "example": "US"
                },
                "state": {
                  "type": "string",
                  "description": "The two character abbreviation for the state associated with the exemption",
                  "example": "GA"
                },
                "exemptDocumentNumber": {
                  "type": "string",
                  "description": "The State Registration, Seller’s Permit, or ID\nNumber of Purchaser",
                  "example": "189317"
                },
                "limitedUse": {
                  "type": "boolean",
                  "description": "Indicates if the exemption document is single or limited use.",
                  "default": false
                },
                "projectNumber": {
                  "type": "string",
                  "description": "The project ID associated with the exemption when the exemption is for limited use.",
                  "example": "P-123456"
                },
                "exemptionStatus": {
                  "type": "string",
                  "enum": [
                    "Active",
                    "Inactive"
                  ],
                  "description": "The status of the exemption",
                  "example": "Active"
                },
                "startEffectiveDate": {
                  "type": "string",
                  "description": "The date when this exemption will become valid. Date format is YYYY-MM-DD",
                  "example": "2023-01-01"
                },
                "endEffectiveDate": {
                  "type": "string",
                  "description": "The date when this exemption will no longer be valid. Date format is YYYY-MM-DD.",
                  "example": "2023-12-31"
                },
                "exemptionCriteria": {
                  "type": "object",
                  "properties": {
                    "psCode": {
                      "type": "array",
                      "uniqueItems": true,
                      "description": "Defines the PS Codes the exemption is to apply to.\n\nValid values for PS codes can be retrieved from the [List PS codes](https://apidocs.ceretax.net/reference/get-pscodes) endpoint of our Data API.",
                      "items": {
                        "type": "string"
                      }
                    },
                    "itemNumber": {
                      "type": "array",
                      "description": "Defines the specific items (product or services) the exemption is to apply to using customer-specific item numbers.",
                      "uniqueItems": true,
                      "items": {
                        "type": "string"
                      }
                    },
                    "taxLevel": {
                      "type": "string",
                      "description": "Defines the tax level that will be used to determine which taxes are candidates for exemption. If multiple tax levels need to be exempted, they should be passed in a comma separated list. \n\nValid values for tax levels can be retrieved from the [List tax levels](https://apidocs.ceretax.net/reference/get-taxlevels) endpoint of our Data API.",
                      "example": "2"
                    },
                    "taxType": {
                      "type": "string",
                      "description": "Defines the tax type that will be used to determine which taxes are candidates for exemption. If multiple tax types need to be exempted, they should be passed in a comma separated list.\n\nValid values for tax types can be retrieved from the [List tax types](https://apidocs.ceretax.net/reference/get-taxtypes) endpoint of our Data API.",
                      "example": "130"
                    },
                    "taxTypeClass": {
                      "type": "string",
                      "description": "Defines the tax type class that will be used to determine which taxes are candidates for exemption. If multiple tax type classes need to be exempted, they should be passed in a comma separated list.\n\nValid values for tax type classes can be retrieved from the [List tax type classes](https://apidocs.ceretax.net/reference/get-taxtypeclasses) endpoint of our Data API.",
                      "example": "101"
                    },
                    "taxAuthorityId": {
                      "type": "string",
                      "example": "398",
                      "description": "Defines the tax authority that will be used to determine which taxes are candidates for exemption. If multiple tax authorities need to be exempted, they should be passed in a comma separated list.\n\nValid values for tax authority ids can be retrieved from the [List tax authorities](https://apidocs.ceretax.net/reference/get-taxauthorities) endpoint of our Data API."
                    },
                    "taxExemptionPercentage": {
                      "type": "number",
                      "description": "Tax exemption percentage for partial exemptions. Valid value are >0 and <= 1 (100%). If no value is provided, a value of 1 (100%) will be assigned.",
                      "example": 1
                    },
                    "reason": {
                      "type": "string",
                      "description": "Tax exemption reason.",
                      "example": "Reseller"
                    }
                  }
                },
                "attributes": {
                  "type": "array",
                  "description": "User defined attributes. Must be supplied in an array format of {key:value). No limit on the number of attributes that be submitted.",
                  "items": {
                    "$ref": "#/components/schemas/attributes"
                  }
                },
                "meter": {
                  "type": "string",
                  "description": "Meter for the exemption.",
                  "maxLength": 25
                }
              },
              "required": [
                "country",
                "state",
                "exemptionStatus",
                "startEffectiveDate",
                "endEffectiveDate",
                "exemptionCriteria"
              ]
            }
          }
        },
        "required": [
          "profileId",
          "customerId"
        ]
      },
      "exemptionsResponse": {
        "type": "object",
        "x-examples": {
          "example-1": {
            "profileId": "default",
            "customerAccount": "CUST-12345",
            "exemptions": [
              {
                "exemptionId": "2",
                "country": "US",
                "state": "PA",
                "certType": "string",
                "limitedUse": "false",
                "exemptDocumentNumber": "EXEMPT12345",
                "exemptionStatus": "Active",
                "startEffectiveDate": "1-1-2022",
                "endEffectiveDate": "1-1-2022",
                "exemptionCriteria": {
                  "psCode": [
                    "10010100",
                    "10010200"
                  ],
                  "sku": [
                    "123456",
                    "789123"
                  ],
                  "taxLevel": "2",
                  "taxType": "130",
                  "taxTypeClass": "130",
                  "taxExemptionPercentage": 1,
                  "reason": "Direct Pay"
                }
              }
            ]
          }
        },
        "examples": [
          {
            "profileId": "default",
            "customerId": "70698cbe-4753-4ca0-bedb-4366b0b0a6a0",
            "exemptions": [
              {
                "exemptionId": "0dfcbcc4-4b35-49e3-b5dc-7c5a61b465d2",
                "country": "US",
                "state": "GA",
                "exemptDocumentNumber": "189317",
                "limitedUse": false,
                "projectNumber": "P-123456",
                "exemptionStatus": "Active",
                "startEffectiveDate": "2023-01-01",
                "endEffectiveDate": "2023-12-31",
                "exemptionCriteria": {
                  "psCode": [
                    "string"
                  ],
                  "itemNumber": [
                    "string"
                  ],
                  "taxLevel": "2",
                  "taxType": "130",
                  "taxTypeClass": "101",
                  "taxExemptionPercentage": 1,
                  "reason": "Reseller"
                }
              }
            ]
          }
        ],
        "title": "Exemptions",
        "properties": {
          "profileId": {
            "type": "string",
            "description": "The unique ID of the CereTax profile the customer is associated with.",
            "example": "default"
          },
          "customerId": {
            "type": "string",
            "description": "The unique CereTax-generated ID of the customer.",
            "example": "70698cbe-4753-4ca0-bedb-4366b0b0a6a0"
          },
          "exemptions": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "exemptionId": {
                  "type": "string",
                  "description": "The unique CereTax ID for this exemption",
                  "example": "0dfcbcc4-4b35-49e3-b5dc-7c5a61b465d2"
                },
                "alternativeId": {
                  "type": "string",
                  "description": "An alternative id value for identifying this exemption."
                },
                "country": {
                  "type": "string",
                  "description": "The two character abbreviation for the country associated with the exemption",
                  "example": "US"
                },
                "state": {
                  "type": "string",
                  "description": "The two character abbreviation for the state associated with the exemption",
                  "example": "GA"
                },
                "exemptDocumentNumber": {
                  "type": "string",
                  "description": "The State Registration, Seller’s Permit, or ID\nNumber of Purchaser",
                  "example": "189317"
                },
                "limitedUse": {
                  "type": "boolean",
                  "description": "Indicates if the exemption document is single or limited use.",
                  "default": false
                },
                "projectNumber": {
                  "type": "string",
                  "description": "The project ID associated with the exemption when the exemption is for limited use.",
                  "example": "P-123456"
                },
                "exemptionStatus": {
                  "type": "string",
                  "enum": [
                    "Active",
                    "Inactive"
                  ],
                  "description": "The status of the exemption",
                  "example": "Active"
                },
                "startEffectiveDate": {
                  "type": "string",
                  "description": "The date when this exemption will become valid. Date format is YYYY-MM-DD",
                  "example": "2023-01-01"
                },
                "endEffectiveDate": {
                  "type": "string",
                  "description": "The date when this exemption will no longer be valid. Date format is YYYY-MM-DD.",
                  "example": "2023-12-31"
                },
                "exemptionCriteria": {
                  "type": "object",
                  "properties": {
                    "psCode": {
                      "type": "array",
                      "uniqueItems": true,
                      "description": "Defines the PS Codes the exemption is to apply to.\n\nValid values for PS codes can be retrieved from the [List PS codes](https://apidocs.ceretax.net/reference/get-pscodes) endpoint of our Data API.",
                      "items": {
                        "type": "string"
                      }
                    },
                    "itemNumber": {
                      "type": "array",
                      "description": "Defines the specific items (product or services) the exemption is to apply to using customer-specific item numbers.",
                      "uniqueItems": true,
                      "items": {
                        "type": "string"
                      }
                    },
                    "taxLevel": {
                      "type": "string",
                      "example": "2",
                      "description": "Defines the tax level that will be used to determine which taxes are candidates for exemption. If multiple tax levels need to be exempted, they should be passed in a comma separated list. \n\nValid values for tax levels can be retrieved from the [List tax levels](https://apidocs.ceretax.net/reference/get-taxlevels) endpoint of our Data API."
                    },
                    "taxType": {
                      "type": "string",
                      "example": "130",
                      "description": "Defines the tax type that will be used to determine which taxes are candidates for exemption. If multiple tax types need to be exempted, they should be passed in a comma separated list.\n\nValid values for tax types can be retrieved from the [List tax types](https://apidocs.ceretax.net/reference/get-taxtypes) endpoint of our Data API."
                    },
                    "taxTypeClass": {
                      "type": "string",
                      "example": "101",
                      "description": "Defines the tax type class that will be used to determine which taxes are candidates for exemption. If multiple tax type classes need to be exempted, they should be passed in a comma separated list.\n\nValid values for tax type classes can be retrieved from the [List tax type classes](https://apidocs.ceretax.net/reference/get-taxtypeclasses) endpoint of our Data API."
                    },
                    "taxAuthorityId": {
                      "type": "string",
                      "example": "398",
                      "description": "Defines the tax authority that will be used to determine which taxes are candidates for exemption. If multiple tax authorities need to be exempted, they should be passed in a comma separated list.\n\nValid values for tax authority ids can be retrieved from the [List tax authorities](https://apidocs.ceretax.net/reference/get-taxauthorities) endpoint of our Data API."
                    },
                    "taxExemptionPercentage": {
                      "type": "number",
                      "description": "Tax exemption percentage for partial exemptions. Valid value are >0 and <= 1 (100%). If no value is provided, a value of 1 (100%) will be assigned.",
                      "example": 1
                    },
                    "reason": {
                      "type": "string",
                      "description": "Tax exemption reason.",
                      "example": "Reseller"
                    }
                  }
                },
                "attributes": {
                  "type": "array",
                  "description": "User defined attributes. Must be supplied in an array format of {key:value). No limit on the number of attributes that be submitted.",
                  "items": {
                    "$ref": "#/components/schemas/attributes"
                  }
                },
                "certificateExists": {
                  "type": "boolean",
                  "description": "Indicates if a certificate has been associated with the exemption. This will field will be updated automatically by CereTax when a certificate is associated with an exemption.",
                  "default": false
                },
                "certificateId": {
                  "type": "string",
                  "description": "The id of the certificate associated with the exemption (if one exists).",
                  "example": "70698cbe-4753-4ca0-bedb-4366b0b0a6a0"
                },
                "createDate": {
                  "type": "string",
                  "description": "The date the customer record was created. This date is set by CereTax.",
                  "example": "2024-01-01"
                },
                "createUserId": {
                  "type": "integer",
                  "description": "The user (if applicable) that created the customer record.",
                  "example": "0"
                },
                "updateDate": {
                  "type": "string",
                  "description": "The date the customer record was updated. This date is set by CereTax.",
                  "example": "2024-01-01"
                },
                "updateUserId": {
                  "type": "integer",
                  "description": "The user (if applicable) that last updated the customer record.",
                  "example": "0"
                },
                "meter": {
                  "type": "string",
                  "description": "Meter for the exemption."
                }
              }
            }
          }
        }
      },
      "attributes": {
        "type": "object",
        "x-examples": {
          "example-1": {
            "key": "attribute key 1",
            "value": "attribute value 1"
          }
        },
        "properties": {
          "key": {
            "type": "string",
            "description": "The attribute key"
          },
          "value": {
            "type": "string",
            "description": "The attribute value"
          }
        },
        "examples": [
          {
            "key": "string",
            "value": "string"
          }
        ],
        "title": "attributes"
      }
    },
    "securitySchemes": {
      "api_key": {
        "name": "x-api-key",
        "type": "apiKey",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```